#ifdef VHDL_TESTBENCH

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl_Testbench.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
  void Vhdl_Testbench::new_cycle (void)
  {
    set_input();
    set_output();

    _num_input   = _list_input_size .begin();
    _num_output  = _list_output_size.begin();

    _num_cycle ++;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
